Overview

There is a new graphic driver available - EMGD 1.16 Intel® Embedded Media and Graphics Driver

  • Better 2D, 3D (Visual Effects) support
  • Hardware-accelerated MPlayer
  • Hardware-accelerated FlashPlayer

Prepare installation media

Basic installation of Linux Mint 13

  • Follow the standard Linux Mint installation procedure - choose timezone, partitions, username, password etc.
  • Disconnect the installation media and reboot when prompted.
  • Login using previously defined username and password.

Install gedit

sudo apt-get install gedit

Downgrade xserver-xorg to 1.9 version

  • Create file /etc/apt/preferences.d/xorg.1.9.pref


cd /etc/apt/preferences.d

sudo touch xorg.1.9.pref

sudo gedit xorg.1.9.pref


Package: xorg xserver-xorg*
Pin: release a=maverick-updates
Pin-Priority: 1001
  • Create file /etc/apt/sources.list.d/xorg.1.9.list

cd /etc/apt/sources.list.d

sudo touch xorg.1.9.list

sudo gedit xorg.1.9.list


# deb http://archive.ubuntu.com/ubuntu/ maverick-updates main restricted universe multiverse
# maverick is unsupported officially, but the archives are still available
deb http://old-releases.ubuntu.com/ubuntu/ maverick-updates main restricted universe multiverse
  • System update will perform the downgrade procedure
$ sudo apt-get update
$ sudo apt-get dist-upgrade

Blacklist opensource psb_gfx drivers

  • Edit /etc/default/grub, add "psb_gfx.dummy=1" to GRUB_CMDLINE_LINUX_DEFAULT, it should look like this:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash psb_gfx.dummy=1"
  • And then run
$ sudo update-grub2

EMGD drivers

Download and install emgd-dkms_1.16.3196.deb and emgd-bin_1.16.3196.deb

$ sudo dpkg -i emgd-bin_1.16.3196.deb emgd-dkms_1.16.3196.deb
  • Reboot to complete the basic installation!

Mplayer-vaapi

$ sudo apt-add-repository ppa:sander-vangrieken/vaapi
$ sudo apt-get update
$ sudo apt-get install mplayer-vaapi
  • You can run it from command line only!
$ mplayer /home/user/Videos/Terminator_Salvation_Trailer_H264_1920x800.flv
  • Most files played fine but unfortunately there are still exceptions

Hardware-accelerated FlashPlayer

$ sudo cp libflashplayer_2_0_05092012.so /opt/mint-flashplugin-11/libflashplayer.so
  • Just open some HD video on youtube and it should be played well